# Handling errors during workflows' post

Every time an user modify a worflow through oc-search's GUI its representation is sent through an XML to oc-catalog API.

To ensure a correct execution of the workflow we must look for irregularities in the workflow's design. Of course an error can be the result of a workflow being currently built by the user, with the corrective action coming.

This document aims at laying down all the requirements that each component must respect and show wether they have been implemented in the code or not.

## Computing

- [x] A computing component must be paired with a datacenter component

## Data

- [x] A data component must be linked to at least one computing component

## Datacenter

- [x] A datacenter component must be linked to at least one computing component

## Storage

- [x] A storage component must have at least one target or be the source of another component 
 

